OHCOUNT(1)

NAME
ohcount - manual page for ohcount 3.0.0

SYNOPSIS
ohcount [option] [paths...]

DESCRIPTION
Ohloh source code line counter command line tool.

    http://www.ohloh.net/

  [option] can be one of the following:

-a, --annotate

-d, --detect

-h, --help

-i, --individual

-l, --license

-re

-s, --summary

-a, --annotate Show annotated source code

    The contents of all source code files found within the given paths will be emitted to stdout. Each line will be prefixed with a tab-delimited language name and semantic categorization (code, comment, or blank).

-d, --detect Find source code files

    Recursively find all source code files within the given paths. For each source code file found, the file name will be emitted to stdout prefixed with a tab-delimited language name.

-h, --help Display this message

-i, --individual Count lines of code per file

    Count lines in all source code files within the given paths, and emit a report of the lines of code, comments, and blanks in each language per file.

-l, --license

    Displays detected licensing information contained in each source code file.

-re

    Prints raw entity information to the screen (mainly for debugging).

-s, --summary Count lines of code (default)

    Count lines in all source code files within the given paths, and emit a report of the total number of lines of code, comments, and blanks in each language. This is the default action.

[paths] can refer to any number of individual files or directories.

    Directories will be probed recursively. If no path is given, the current directory will be used.